Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.data.datatype
Class Residue

    java.lang.Object
      jprotein.data.datatype.Residue

Direct Known Subclasses:
  IndexedResidue, Residue3D

    public class Residue

extends java.lang.Object

Classe pour gerer les codes, symboles des residus, la position et l'accessibilite du residu

Constructor Summary
`Residue(char residueName)`
`Residue(java.lang.String residueName)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getPosition()`
`java.lang.String` | `getResidueCode()`
`static java.lang.String` | `getResidueCode(int index)`
`int` | `getResidueIndex()`
`static int` | `getResidueIndex(char residueName)`
`static int` | `getResidueIndex(java.lang.String residueName)`
`char` | `getResidueSymbol()`
`static char` | `getResidueSymbol(int index)`
`boolean` | `isAccessible()`
`void` | `setAccessibility(boolean access)`
`void` | `setPosition(int pos)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Residue

    public Residue(java.lang.String residueName)

### Residue

    public Residue(char residueName)

Method Detail

### getResidueIndex

    public int getResidueIndex()

### getResidueIndex

    public static int getResidueIndex(char residueName)

### getResidueIndex

    public static int getResidueIndex(java.lang.String residueName)

### getResidueSymbol

    public static char getResidueSymbol(int index)

### getResidueCode

    public static java.lang.String getResidueCode(int index)

### getResidueCode

    public java.lang.String getResidueCode()

### getResidueSymbol

    public char getResidueSymbol()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### isAccessible

    public boolean isAccessible()

### setAccessibility

    public void setAccessibility(boolean access)

### setPosition

    public void setPosition(int pos)

### getPosition

    public int getPosition()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD